# Generated by Django 4.1.7 on 2023-03-30 13:53

import django.core.validators
from django.db import migrations, models
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    dependencies = [
        ('notification_app', '0003_alter_notification_body'),
    ]

    operations = [
        migrations.CreateModel(
            name='ApplicationConfig',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('app_support_email', models.EmailField(max_length=256, validators=[django.core.validators.EmailValidator], verbose_name='App support email')),
                ('app_support_email_password', models.CharField(max_length=50, verbose_name='App support email password')),
                ('app_phone_number', phonenumber_field.modelfields.PhoneNumberField(db_index=True, max_length=128, null=True, region=None, unique=True, verbose_name='App phone number')),
                ('app_service_charge_percentage', models.SmallIntegerField(verbose_name='Service charge percetage')),
            ],
            options={
                'verbose_name': 'Application config',
                'verbose_name_plural': 'Application configs',
            },
        ),
    ]
